Summary:	EXIF and IPTC metadata manipulation tools
Summary(pl.UTF-8):	Narzędzia do obróbki metadanych EXIF i IPTC
Name:		exiv2
Version:	0.24
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
#Source0Download: http://www.exiv2.org/download.html
Source0:	http://www.exiv2.org/%{name}-%{version}.tar.gz
# Source0-md5:	b8a23dc56a98ede85c00718a97a8d6fc
Patch0:		%{name}-mkinstalldirs.patch
Patch1:		%{name}-png_support.patch
URL:		http://www.exiv2.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EXIF and IPTC metadata manipulation tools.

%description -l pl.UTF-8
Narzędzia do obróbki metadanych EXIF i IPTC.

%package libs
Summary:	EXIF and IPTC metadata manipulation library
Summary(pl.UTF-8):	Biblioteka do obróbki metadanych EXIF i IPTC
Group:		Libraries

%description libs
EXIF and IPTC metadata manipulation library.

%description libs -l pl.UTF-8
Biblioteka do obróbki metadanych EXIF i IPTC.

%package devel
Summary:	EXIF and IPTC metadata manipulation library development files
Summary(pl.UTF-8):	Pliki programistyczne biblioteki do obróbki metadanych EXIF i IPTC
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
EXIF and IPTC metadata manipulation library development files.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki do obróbki metadanych EXIF i IPTC.

%package static
Summary:	EXIF and IPTC metadata manipulation static library
Summary(pl.UTF-8):	Statyczna biblioteka do obróbki metadanych EXIF i IPTC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
EXIF and IPTC metadata manipulation static library.

%description static -l pl.UTF-8
Statyczna biblioteka do obróbki metadanych EXIF i IPTC.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

ln -s config/configure.ac .

# AX_CXX_CHECK_FLAG
tail -n +10113 config/aclocal.m4 >> acinclude.m4

%build
%{__libtoolize} --install
%{__aclocal}
%{__autoconf}
# don't touch autoheader, config.h.in has been manually modified
%configure

%{__make} \
	CFLAGS="%{rpmcflags} -Wall" \
	CXXFLAGS="%{rpmcxxflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	incdir=%{_includedir}/exiv2 \
	libdir=%{_libdir} \
	bindir=%{_bindir} \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc doc/ChangeLog README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/exiv2.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexiv2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexiv2.so.13

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexiv2.so
%{_libdir}/libexiv2.la
%{_includedir}/%{name}
%{_pkgconfigdir}/exiv2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libexiv2.a
%changelog
* Mon Apr 07 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/exiv2.git;a=log;h=master

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 92a2a16
- updated to 0.24 (note: new soname)

* Wed Nov 21 2012 Jakub Bogusz <qboosh@pld-linux.org> f8b7c23
- updated ac version

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> 6be8aba
- updated to 0.23

* Sat Mar 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 3a86f70
- updated to 0.21.1 (note: new soname)
- removed obsolete gcc44 patch
- configure patch replaced by proper fix

* Mon Aug 02 2010 Caleb Maclennan <caleb@alerque.com> 89da1ac
- Up to 0.20

* Tue Jan 19 2010 Elan Ruusamäe <glen@pld-linux.org> 01db93b
- EXIF/IPTC caps

* Tue Jan 19 2010 Elan Ruusamäe <glen@pld-linux.org> 69953bc
- ldconfig and package ghost soname symlink; rel 2

* Thu Dec 03 2009 shadzik <shadzik@pld-linux.org> e5da622
- 0.18.2
- add -configure.patch

* Thu Dec 03 2009 shadzik <shadzik@pld-linux.org> e4943bf
- fix fvisibility detection

* Wed Nov 04 2009 Szymon Siwek <sls@pld-linux.org> 5fa5129
- added gcc44.patch

* Wed Nov 04 2009 Szymon Siwek <sls@pld-linux.org> c18eeda
- BR: expat-devel

* Wed Jul 30 2008 Jakub Bogusz <qboosh@pld-linux.org> 8e00bd9
- Group changed to Applications/Graphics

* Mon Jul 21 2008 Szymon Siwek <sls@pld-linux.org> 769b1cb
- added png_support.patch
- rel. 3

* Mon Jul 21 2008 Szymon Siwek <sls@pld-linux.org> 99eada5
- CHECK_ZLIB definition copied from config/aclocal.m4 (enables png support)

* Mon Jul 21 2008 Szymon Siwek <sls@pld-linux.org> f7ca868
- BR: gettext-devel

* Wed Jun 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 47a4817
- BR libtool 2 (for libtoolize --install)

* Wed Jun 25 2008 Adam Gołębiowski <adamg@pld-linux.org> 2c521f1
- pass --install to libtoolize (fixes build)
- release 2

* Tue Jun 24 2008 Kacper Kornet <draenog@pld-linux.org> 34addd3
- up to 0.17.1 (fixes CVE-2008-2696)

* Thu Feb 14 2008 Robert Tomasik <rotom@pld-linux.org> 99f68a7
- up to 0.16
- find_lang added

* Tue Jul 10 2007 Robert Tomasik <rotom@pld-linux.org> 19842da
- up to 0.15

